[android-components](../../index.md) / [mozilla.components.support.utils](../index.md) / [RunWhenReadyQueue](index.md) / [isReady](./is-ready.md)

# isReady

`fun isReady(): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/utils/src/main/java/mozilla/components/support/utils/RunWhenReadyQueue.kt#L29)

Was this queue ever marked as 'ready' via a call to [ready](ready.md)?

**Return**
Boolean value indicating if this queue is 'ready'.

